---
title: Get Jira issue template
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Jira Integration
---

# Get Jira issue template{% #get-jira-issue-template %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in public beta and it's subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                  |
| ----------------- | --------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/jira/issue-templates/{issue_template_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/jira/issue-templates/{issue_template_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/jira/issue-templates/{issue_template_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/jira/issue-templates/{issue_template_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/jira/issue-templates/{issue_template_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/jira/issue-templates/{issue_template_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/jira/issue-templates/{issue_template_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/jira/issue-templates/{issue_template_id} |

### Overview

Get a Jira issue template by ID.

### Arguments

#### Path Parameters

| Name                                | Type   | Description                                   |
| ----------------------------------- | ------ | --------------------------------------------- |
| issue_template_id [*required*] | string | The ID of the Jira issue template to retrieve |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single Jira issue template

| Parent field  | Field                           | Type      | Description                                                                                  |
| ------------- | ------------------------------- | --------- | -------------------------------------------------------------------------------------------- |
|               | data [*required*]          | object    | Data object for a Jira issue template                                                        |
| data          | attributes [*required*]    | object    | Attributes of a Jira issue template                                                          |
| attributes    | fields [*required*]        | object    | Custom fields for the Jira issue template                                                    |
| attributes    | issue_type_id [*required*] | string    | The ID of the Jira issue type                                                                |
| attributes    | name [*required*]          | string    | The name of the issue template                                                               |
| attributes    | project_id [*required*]    | string    | The ID of the Jira project                                                                   |
| data          | id [*required*]            | uuid      | Unique identifier for the Jira issue template                                                |
| data          | relationships                   | object    | Relationships of a Jira issue template                                                       |
| relationships | jira-account [*required*]  | object    | Relationship to a Jira account                                                               |
| jira-account  | data [*required*]          | object    | Data object for a Jira account                                                               |
| data          | attributes [*required*]    | object    | Attributes of a Jira account                                                                 |
| attributes    | consumer_key [*required*]  | string    | The consumer key for the Jira account                                                        |
| attributes    | instance_url [*required*]  | string    | The URL of the Jira instance                                                                 |
| attributes    | last_webhook_timestamp          | date-time | Timestamp of the last webhook received                                                       |
| data          | id [*required*]            | string    | Unique identifier for the Jira account                                                       |
| data          | type [*required*]          | enum      | Type identifier for Jira account resources Allowed enum values: `jira-account`               |
| data          | type [*required*]          | enum      | Type identifier for Jira issue template resources Allowed enum values: `jira-issue-template` |
|               | included                        | [object]  | Array of Jira account data objects                                                           |
| included      | attributes [*required*]    | object    | Attributes of a Jira account                                                                 |
| attributes    | consumer_key [*required*]  | string    | The consumer key for the Jira account                                                        |
| attributes    | instance_url [*required*]  | string    | The URL of the Jira instance                                                                 |
| attributes    | last_webhook_timestamp          | date-time | Timestamp of the last webhook received                                                       |
| included      | id [*required*]            | string    | Unique identifier for the Jira account                                                       |
| included      | type [*required*]          | enum      | Type identifier for Jira account resources Allowed enum values: `jira-account`               |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "fields": {
        "description": {
          "payload": "Test Description",
          "type": "json"
        }
      },
      "issue_type_id": "456",
      "name": "Test Template",
      "project_id": "123"
    },
    "id": "65b3341b-0680-47f9-a6d4-134db45c603e",
    "relationships": {
      "jira-account": {
        "data": {
          "attributes": {
            "consumer_key": "consumer-key-1",
            "instance_url": "https://example.atlassian.net",
            "last_webhook_timestamp": "2024-01-15T10:30:00Z"
          },
          "id": "account-1",
          "type": "jira-account"
        }
      }
    },
    "type": "jira-issue-template"
  },
  "included": [
    {
      "attributes": {
        "consumer_key": "consumer-key-1",
        "instance_url": "https://example.atlassian.net",
        "last_webhook_timestamp": "2024-01-15T10:30:00Z"
      },
      "id": "account-1",
      "type": "jira-account"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export issue_template_id="65b3341b-0680-47f9-a6d4-134db45c603e" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/jira/issue-templates/${issue_template_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get Jira issue template returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.jira_integration_api import JiraIntegrationApi
from uuid import UUID

configuration = Configuration()
configuration.unstable_operations["get_jira_issue_template"] = True
with ApiClient(configuration) as api_client:
    api_instance = JiraIntegrationApi(api_client)
    response = api_instance.get_jira_issue_template(
        issue_template_id=UUID("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"),
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Get Jira issue template returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.get_jira_issue_template".to_sym] = true
end
api_instance = DatadogAPIClient::V2::JiraIntegrationAPI.new
p api_instance.get_jira_issue_template("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Get Jira issue template returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.GetJiraIssueTemplate", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewJiraIntegrationApi(apiClient)
	resp, r, err := api.GetJiraIssueTemplate(ctx, uuid.MustParse("9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d"))

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `JiraIntegrationApi.GetJiraIssueTemplate`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `JiraIntegrationApi.GetJiraIssueTemplate`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Get Jira issue template returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.JiraIntegrationApi;
import com.datadog.api.client.v2.model.JiraIssueTemplateResponse;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.getJiraIssueTemplate", true);
    JiraIntegrationApi apiInstance = new JiraIntegrationApi(defaultClient);

    try {
      JiraIssueTemplateResponse result =
          apiInstance.getJiraIssueTemplate(UUID.fromString("65b3341b-0680-47f9-a6d4-134db45c603e"));
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling JiraIntegrationApi#getJiraIssueTemplate");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Get Jira issue template returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_jira_integration::JiraIntegrationAPI;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.GetJiraIssueTemplate", true);
    let api = JiraIntegrationAPI::with_config(configuration);
    let resp = api
        .get_jira_issue_template(
            Uuid::parse_str("00000000-0000-0000-0000-000000000000").expect("invalid UUID"),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Get Jira issue template returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.getJiraIssueTemplate"] = true;
const apiInstance = new v2.JiraIntegrationApi(configuration);

const params: v2.JiraIntegrationApiGetJiraIssueTemplateRequest = {
  issueTemplateId: "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d",
};

apiInstance
  .getJiraIssueTemplate(params)
  .then((data: v2.JiraIssueTemplateResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
